org.jgroups.demos

## Class DrawCommand

- java.lang.Object
- - org.jgroups.demos.DrawCommand

All Implemented Interfaces:
  Streamable

    public class DrawCommand
    extends java.lang.Object
    implements Streamable

Encapsulates information about a draw command. Used by the `Draw` and other demos.

### Constructor Summary

Constructors
Constructor and Description
`DrawCommand()`

### Method Summary

Methods
`void` `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`java.lang.String` `toString()`
`void` `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DrawCommand

    public DrawCommand()

### Method Detail

#### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

Description copied from interface: `Streamable`
Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

Specified by:
  `writeTo` in interface `Streamable`
Throws:
  `java.io.IOException`

#### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

Description copied from interface: `Streamable`
Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

Specified by:
  `readFrom` in interface `Streamable`
Throws:
  `java.io.IOException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`